Main Page Groups Namespaces

# compose.h File Reference

## Namespaces
namespace | sigc
## Functions
template<class T_action, class T_setter, class T_getter>
void | visit_each (const T_action& _A_action, const compose1_functor<T_setter, T_getter>& _A_target)
| Performs a functor on each of the targets of a functor.
template<class T_action, class T_setter, class T_getter1, class T_getter2>
void | visit_each (const T_action& _A_action, const compose2_functor<T_setter, T_getter1, T_getter2>& _A_target)
| Performs a functor on each of the targets of a functor.
template<class T_setter, class T_getter>
compose1_functor< T_setter, T_getter > | compose (const T_setter& _A_setter, const T_getter& _A_getter)
| Creates an adaptor of type sigc::compose1_functor which combines two functors.
template<class T_setter, class T_getter1, class T_getter2>
compose2_functor< T_setter, T_getter1, T_getter2 > | compose (const T_setter& _A_setter, const T_getter1& _A_getter1, const T_getter2& _A_getter2)
| Creates an adaptor of type sigc::compose2_functor which combines three functors.